Get transaction by ID
curl --request GET \
--url https://api.range.org/v2/transactions/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/transactions/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/transactions/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3891709-0",
"time": "2024-05-08T13:05:57.779Z",
"height": "3891709",
"hash": "8c288a1b3006b4c129af06c7603a6bb624a482d5dc1b7b4cf3791cb84ade3554",
"success": true,
"types": [
"MsgSend",
"MsgDelegate"
],
"signers": [
"cosmos1z6rh9mu9qggl2mugavyfu8h5td92d9y92r9ttc"
],
"transfers": {
"sender": {
"address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
"network": "solana"
},
"receiver": {
"address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
"network": "noble-1"
}
},
"fee": {
"amount": "5000",
"denom": "uatom"
}
}Transfers & Transactions
Get transaction by ID
Return a transaction record identified by its Range transaction ID.
GET
/
v2
/
transactions
/
{id}
Get transaction by ID
curl --request GET \
--url https://api.range.org/v2/transactions/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/transactions/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/transactions/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3891709-0",
"time": "2024-05-08T13:05:57.779Z",
"height": "3891709",
"hash": "8c288a1b3006b4c129af06c7603a6bb624a482d5dc1b7b4cf3791cb84ade3554",
"success": true,
"types": [
"MsgSend",
"MsgDelegate"
],
"signers": [
"cosmos1z6rh9mu9qggl2mugavyfu8h5td92d9y92r9ttc"
],
"transfers": {
"sender": {
"address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
"network": "solana"
},
"receiver": {
"address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
"network": "noble-1"
}
},
"fee": {
"amount": "5000",
"denom": "uatom"
}
}Use the
id from Get blockchain transactions for this lookup. If you have a network and transaction hash instead, use Get transaction by network and hash.Authorizations
Authorization method required to allow user to access the api endpoints.
Path Parameters
Range transaction identifier.
Example:
"3891709-0"
Response
200 - application/json
Transaction that matches the specified ID.
Example:
"3891709-0"
Example:
"2024-05-08T13:05:57.779Z"
Example:
"3891709"
Example:
"8c288a1b3006b4c129af06c7603a6bb624a482d5dc1b7b4cf3791cb84ade3554"
Example:
true
Example:
["MsgSend", "MsgDelegate"]
Example:
[
"cosmos1z6rh9mu9qggl2mugavyfu8h5td92d9y92r9ttc"
]
Information about the sender of the transfer
Show child attributes
Show child attributes
Network fee paid for the transaction. Omitted on networks without fee data.
Show child attributes
Show child attributes
Example:
{ "amount": "5000", "denom": "uatom" }
Last modified on November 9, 2026
Was this page helpful?